---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab repo archive`

Get an archive of the repository.

## Synopsis

Clone supports these shorthand references:

- repo
- namespace/repo
- namespace/group/repo

```plaintext
glab repo archive <command> [flags]
```

## Examples

```plaintext
$ glab repo archive profclems/glab

# Downloads zip file of current repository
$ glab repo archive

# Downloads repo zip file into mydirectory
$ glab repo archive profclems/glab mydirectory

# Finds repo for current user and download in ZIP format
$ glab repo archive profclems/glab --format=zip

```

## Options

```plaintext
  -f, --format string   Optional. Specify format if you want a downloaded archive: tar.gz, tar.bz2, tbz, tbz2, tb2, bz2, tar, zip. (default "zip")
  -s, --sha string      The commit SHA to download. A tag, branch reference, or SHA can be used. Defaults to the tip of the default branch if not specified.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```
